Bug 640958 - org.setSoftwareFlexEntitlements vs org.setSoftwareEntitlements, setting reg. ent. set flex to zero and vice-versa
org.setSoftwareFlexEntitlements vs org.setSoftwareEntitlements, setting reg. ...
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
540
All Linux
high Severity high
: ---
: ---
Assigned To: Tomas Lestach
Jan Hutař
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-10-07 07:17 EDT by Jiri Kastner
Modified: 2011-03-17 10:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause Wrong logic of adjusting amount of software entitlements Consequence When setting amount of software entitlements or flex entitlements using API, the other entitlements amount was zeroed Result When setting amount of software entitlements or flex entitlements using API, the other entitlements amount remains untouched
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-17 10:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-10-07 07:17:46 EDT
Description of problem:
after using rpc call org.setSoftwareFlexEntitlements, regular entitlements are zeroized and same with org.setSoftwareEntitlements.

Version-Release number of selected component (if applicable):
satellite 5.4

How reproducible:


Steps to Reproduce:
1. create org in satellite
2. call org.setSoftwareEntitlements e.g. 100 entit. for 'rhel-server' channel label
3. check in webui
4. call org.setSoftwareFlexEntitlements e.g. 10 entit. 'rhel-server' channel label
5. check in webui
6. rhel-server channel has 'None Alloted'
  
Actual results:
value '0' in flex, when called org.setSoftwareEntitlements and similar behaviour with org.setSoftwareFlexEntitlements

Expected results:
callling org.setSoftwareFlexEntitlements sets only flex entitlement value and callling org.setSoftwareEntitlements sets only regular entitlement value for particular channel

Additional info:
Comment 2 Jiri Kastner 2010-10-07 07:42:34 EDT
when this is called for organization which alredy has consumed some regular entitlement, rpc call returns this traceback:
client.org.setSoftwareFlexEntitlements(key,2,'rhel-server',15)
Traceback (most recent call last):
  File "<stdin>", line 3, in <module>
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1253, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])

xmlrpclib.Fault: <Fault 2800: 'redstone.xmlrpc.XmlRpcFault: Warning: Your Proposed Red Hat Enterprise Linux (core server) allocation provides less entitlements than are currently in use in the OrgB organization. Please adjust your proposed allocation to no less then the amount of entitlements currently in use.'>
Comment 4 Tomas Lestach 2010-12-20 12:09:59 EST
spacewalk.git: 2be74a7cde69e82702480e1ed18f34402d4250c8
Comment 8 Tomas Lestach 2011-02-14 09:23:36 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
Wrong logic of adjusting amount of software entitlements

Consequence
When setting amount of software entitlements or flex entitlements using API, the other entitlements amount was zeroed

Result
When setting amount of software entitlements or flex entitlements using API, the other entitlements amount remains untouched
Comment 11 Tomas Lestach 2011-03-02 12:44:36 EST
null pointer exception fixed ...

spacewalk.git: a9a7034d8d68453df218ee0a95c4629254fba566
satellite.git: 2965bc83ff64a3b713855567587c23bf0a286cb0
Comment 14 errata-xmlrpc 2011-03-17 10:11:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0362.html

Note You need to log in before you can comment on or make changes to this bug.